#include <stdint.h>

/* Define this macro if you do NOT want to actually write onto GPIO registers
   Use to ease debugging with no hadrware interaction */
//#define NO_ACTUAL_GPIO

/* Define this macro if you want debugging messages */
#define USE_DEBUG
//#define USE_READ_DEBUG
//#define USE_WRITE_DEBUG

#define BCM2835_GPIO_LAST_PIN	53

// Unused
#define TTY_IS_RAW              1

enum bcm2835_gpio_fsel_e {GPIO_INPUT = 0, GPIO_OUTPUT,
    GPIO_ALTF0, GPIO_ALTF1, GPIO_ALTF2, GPIO_ALTF3, GPIO_ALTF4, GPIO_ALTF5};
typedef enum bcm2835_gpio_fsel_e bcm2835_gpio_fsel_t;


void bcm2835_gpio_setmode(uint32_t pin, bcm2835_gpio_fsel_t mode);
void bcm2835_gpio_write(uint32_t pin, uint32_t value);
uint32_t bcm2835_gpio_read(uint32_t pin);
int bcm2835_gpio_map(void);
int bcm2835_gpio_map_status(void);
