#include <stdint.h>
#include <pthread.h>


#define PTHREAD_FLAG_POOL           2

struct pthread_flag_s;
typedef	struct pthread_flag_s pthread_flag_t;


pthread_flag_t *pthread_flag_init(uint32_t initial_value);
void pthread_flag_set(pthread_flag_t *pflag);
void pthread_flag_clear(pthread_flag_t *pflag);
uint32_t pthread_flag_get(pthread_flag_t *pflag);
void pthread_flag_destroy(pthread_flag_t *pflag);
